function [ result ] = integration( func, lower_bound, upper_bound, points )

h=(upper_bound-lower_bound)/points;

% Rechtecksregel
%result = h * sum( func(lower_bound+[0:points-1]*h) );

% Trapezregel
result = h * ( 0.5*func(lower_bound) + sum( func(lower_bound+[1:points-1]*h))  + 0.5*func(upper_bound));

end

